MSGCOMM(1)

BEZEICHNUNG
msgcomm - zwei Meldungskataloge vergleichen

ÜBERSICHT
msgcomm [OPTION] [EINGABEDATEI] …

BESCHREIBUNG

Sucht nach Meldungen, die in zwei oder mehr der angegebenen PO-Dateien vorkommen. Mit der Option --more-than können Sie vor der Ausgabe der Meldungen eine höhere Übereinstimmungsrate angeben. Umgekehrt verringert die Option --less-than die Übereinstimmungsrate; das heißt, --less-than=2 gibt nur Meldungen aus, die nur einmal vorkommen. Übersetzungen, Kommentare und Quelltextkommentare werden beibehalten, aber nur von der ersten PO-Datei, in der der entsprechende Eintrag vorkommt. Angaben zur Stelle des Vorkommens in den Meldungen in den Quellen werden für alle PO-Dateien kumuliert.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

EINGABEDATEI …
    Eingabedateien

-f, --files-from=DATEI
    holt die Namen der Eingabedateien aus der angegebenen DATEI.

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn die Eingabedatei »-« ist, wird die Standardeingabe gelesen.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Auswahl der Meldungen:

-<, --less-than=ANZAHL
    zeigt Meldungen mit weniger als der angegebenen ANZAHL Definitionen an (Vorgabe: unendlich, falls nicht gesetzt).

->, --more-than=ANZAHL
    zeigt Meldungen mit mehr als der angegebenen ANZAHL Definitionen an (Vorgabe: 1, falls nicht gesetzt).

-u, --unique
    ist eine Abkürzung für --less-than=2; fordert Meldungen an, die nur einmal vorkommen.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedateien folgen der .properties-Syntax von Java.

--stringtable-input
    Eingabedateien folgen der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    stellt die ausgegebene .po-Datei eingerückt dar.

--no-location
    schreibt keine Zeilen mit »#: Datei:Zeilennummer«.

-n, --add-location
    schreibt Zeilen mit »#: Datei:Zeilennummer« (Vorgabe).

--strict
    erstellt eine .po-Datei streng nach Uniforum-Format.

-p, --properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    erstellt eine sortierte Ausgabe.

-F, --sort-by-file
    sortiert die Ausgabe gemäß Vorkommen in Dateien.

--omit-header
    schreibt keine Kopfzeile mit dem »msgid ""«-Eintrag.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Peter Miller.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgcomm wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgcomm auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgcomm

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).